from pyfirmata import Arduino
import PySimpleGUI as sg

arduino = Arduino('COM3')
led = arduino.get_pin('d:13:o')

sg.theme('LightGrey6') 
layout = [ 
  [sg.Text('Controle do LED')],
  [sg.Button('Ligar', key='lig'), sg.Button('Desligar', key='desl')] 
]
janela = sg.Window('Python + Arduino', layout, size=(300, 200))

while True:
  evento, dado = janela.read()
  if evento == 'lig':
    led.write(1)
  elif evento == 'desl':
    led.write(0)
  elif evento == sg.WIN_CLOSED:
    break

janela.close()
